import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/config/distributionconfig/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = () => {
  return request({
    url: '/api/config/distributionconfig/detail',
    method: 'get',
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/config/distributionconfig/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/config/distributionconfig/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/config/distributionconfig/submit',
    method: 'post',
    data: row
  })
}

